<?php
/**
 * Back to top
 *
 * @package Publisher
 */

$menus['footer']['child']['footer-back-to-top'] = [
	'title' => esc_html__( 'Back to Top', 'publisher' ),
	'desc'  => esc_html__( 'From here, you can control the back to top button.', 'publisher' ),
];

// Dependency check that back to top option is enable.
$top_button_dependency = [
	'field'      => 'show_top_button',
	'value'      => '1',
	'comparison' => '==',
];

$floating_button_dependency = [
	'field'      => 'bt_top_button_position',
	'value'      => 'floating',
	'comparison' => '==',
];

$bottom_button_dependency = [
	'field'      => 'bt_top_button_position',
	'value'      => 'bottom',
	'comparison' => '==',
];

$sections['footer-back-to-top'] = [

	[
		'id'       => 'show_top_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Top Button', 'publisher' ),
		'sub_desc' => esc_html__( 'Enable or disable back to top button with this option.', 'publisher' ),
		'std'      => '1',
	],
	[
		'id'         => 'bt_top_button_position',
		'type'       => 'button_set',
		'title'      => esc_html__( 'Top Buttons Position', 'publisher' ),
		'options'    => [
			'floating' => esc_html__( 'Floating', 'publisher' ),
			'bottom'   => esc_html__( 'Bottom', 'publisher' ),
		],
		'sub_desc'   => esc_html__( 'Choose position for Top Button.', 'publisher' ),
		'std'        => 'bottom',
		'class'      => 'green',
		'dependency' => [
			'relation' => 'and',
			$top_button_dependency,
		],
	],
	[
		'id'         => 'top_button_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Icon Color', 'publisher' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'publisher' ),
		'args'       => [ 'opacity' => true ],
		'std'        => '#ffffff',
		'dependency' => [
			'relation' => 'and',
			$top_button_dependency,
		],
	],
	[
		'id'         => 'top_button_color_hover',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Icon Hover Color', 'publisher' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'publisher' ),
		'args'       => [ 'opacity' => true ],
		'std'        => '#ffffff',
		'dependency' => [
			'relation' => 'and',
			$top_button_dependency,
		],
	],
	[
		'id'         => 'top_button_background',
		'type'       => 'color',
		'title'      => esc_html__( 'Background Settings', 'publisher' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'publisher' ),
		'args'       => [ 'opacity' => true ],
		'std'        => publisher_get_settings( 'primary_color_scheme' ),
		'dependency' => [
			'relation' => 'and',
			$top_button_dependency,
		],
	],
	[
		'id'         => 'top_button_background_hover',
		'type'       => 'color',
		'title'      => esc_html__( 'Background Hover Settings', 'publisher' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'publisher' ),
		'args'       => [ 'opacity' => true ],
		'std'        => publisher_get_settings( 'primary_color_scheme' ),
		'dependency' => [
			'relation' => 'and',
			$top_button_dependency,
		],
	],
	[
		'id'         => 'top_button_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'publisher' ),
		'sub_desc'   => esc_html__( 'Set Top button padding from here.', 'publisher' ),
		'std'        => [
			'top'    => publisher_px2rem( '17px' ),
			'right'  => publisher_px2rem( '17px' ),
			'bottom' => publisher_px2rem( '17px' ),
			'left'   => publisher_px2rem( '17px' ),
		],
		'dependency' => [
			'relation' => 'and',
			$top_button_dependency,
		],
	],
	[
		'id'         => 'top_button_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'Top Button Position', 'publisher' ),
		'sub_desc'   => esc_html__( 'Set top button position from here.', 'publisher' ),
		'std'        => [
			'top'    => 'auto',
			'right'  => publisher_px2rem( '30px' ),
			'bottom' => publisher_px2rem( '80px' ),
			'left'   => 'auto',
		],
		'dependency' => [
			'relation' => 'and',
			$top_button_dependency,
			$floating_button_dependency,
		],
	],
	[
		'id'         => 'top_bottom_button_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Top Button Margin', 'publisher' ),
		'sub_desc'   => esc_html__( 'Set top button Position from here.', 'publisher' ),
		'std'        => [
			'top'    => publisher_px2rem( '-175px' ),
			'right'  => '0px',
			'bottom' => 'auto',
			'left'   => 'auto',
		],
		'dependency' => [
			'relation' => 'and',
			$top_button_dependency,
			$bottom_button_dependency,
		],
	],
	[
		'id'         => 'top_button_border_radius',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Border Radius', 'publisher' ),
		'sub_desc'   => esc_html__( 'Set border radius of top button in px.', 'publisher' ),
		'std'        => '50',
		'args'       => [ 'type' => 'number' ],
		'dependency' => [
			'relation' => 'and',
			$top_button_dependency,
		],
	],
	[
		'id'         => 'top_button_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'publisher' ),
		'sub_desc'   => esc_html__( 'Select border', 'publisher' ),
		'dependency' => [
			'relation' => 'and',
			$top_button_dependency,
		],
	],

];
