<?php
/**
 * Footer Copyrights Section
 *
 * @package Publisher
 */

$menus['footer']['child']['footer-copyrights'] = [
	'title' => esc_html__( 'Copyrights', 'publisher' ),
	'desc'  => esc_html__( 'From here, you can control Copyrights Section', 'publisher' ),
];

$sections['footer-copyrights'] = [
	[
		'id'       => 'mts_copyrights',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Copyrights Text', 'publisher' ),
		'sub_desc' => esc_html__( 'You can change or remove our link from footer and use your own custom text.', 'publisher' ) . ( MTS_THEME_WHITE_LABEL ? '' : wp_kses( __( '(You can also use your affiliate link to <strong>earn 55% of sales</strong>. Ex: <a href="https://mythemeshop.com/go/aff/aff" target="_blank">https://mythemeshop.com/?ref=username</a>)', 'publisher' ), [ 'strong' => '', 'a' => [ 'href' => [], 'target' => [] ] ] ) ),
		// translators: Default value.
		'std'      => MTS_THEME_WHITE_LABEL ? null : sprintf( __( 'Theme by %s', 'publisher' ), '<a href="http://mythemeshop.com/" rel="nofollow">MyThemeShop</a>' ),
	],
	[
		'id'    => 'footer_copyrights_container',
		'type'  => 'heading',
		'title' => esc_html__( 'Copyrights Container', 'publisher' ),
	],
	[
		'id'       => 'mts_copyrights_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Background', 'publisher' ),
		'sub_desc' => esc_html__( 'Set copyrights background color, pattern and image from here.', 'publisher' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'mts_copyrights_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'publisher' ),
		'sub_desc' => esc_html__( 'Set copyrights padding from here.', 'publisher' ),
		'std'      => [
			'top'    => publisher_px2rem( '22px' ),
			'right'  => '0',
			'bottom' => publisher_px2rem( '26px' ),
			'left'   => '0',
		],
	],
	[
		'id'       => 'mts_copyrights_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'publisher' ),
		'sub_desc' => esc_html__( 'Set copyrights margin from here.', 'publisher' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => 'copyrights_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'publisher' ),
		'sub_desc' => esc_html__( 'Select border', 'publisher' ),
		'std'      => [
			'direction' => 'top',
			'size'      => '1',
			'style'     => 'solid',
			'color'     => '#e4e7ee',
		],
	],
];
