<?php
/**
 * General Tab
 *
 * @package Publisher
 */

$menus['main'] = [
	'icon'  => 'fa-th',
	'title' => esc_html__( 'General', 'publisher' ),
	'desc'  => esc_html__( 'This tab contains common setting options which will be applied to the whole theme', 'publisher' ),
];

$mts_patterns = [
	'nobg' => [ 'img' => $uri . 'bg-patterns/nobg.png' ],
];
for ( $i = 0; $i <= 52; $i++ ) {
	$mts_patterns[ 'pattern' . $i ] = [ 'img' => $uri . 'bg-patterns/pattern' . $i . '.png' ];
}

for ( $i = 1; $i <= 29; $i++ ) {
	$mts_patterns[ 'hbg' . $i ] = [ 'img' => $uri . 'bg-patterns/hbg' . $i . '.png' ];
}

$sections['main'] = [

	[
		'id'       => 'mts_logo',
		'type'     => 'upload',
		'title'    => esc_html__( 'Site Logo', 'publisher' ),
		'sub_desc' => esc_html__( 'Select an image file for your logo.', 'publisher' ),
		'return'   => 'id',
	],
	[
		'id'       => 'mts_favicon',
		'type'     => 'upload',
		'title'    => esc_html__( 'Favicon', 'publisher' ),
		// translators: Strong tag in description.
		'sub_desc' => sprintf( __( 'Upload a %s image that will represent your website\'s favicon.', 'publisher' ), '<strong>32 x 32 px</strong>' ),
		'return'   => 'id',
	],
	[
		'id'       => 'mts_touch_icon',
		'type'     => 'upload',
		'title'    => esc_html__( 'Touch icon', 'publisher' ),
		// translators: Strong tag in description.
		'sub_desc' => sprintf( __( 'Upload a %s image that will represent your website\'s touch icon for iOS 2.0+ and Android 2.1+ devices.', 'publisher' ), '<strong>152 x 152 px</strong>' ),
		'return'   => 'id',
	],
	[
		'id'       => 'mts_metro_icon',
		'type'     => 'upload',
		'title'    => esc_html__( 'Metro icon', 'publisher' ),
		// translators: Strong tag in description.
		'sub_desc' => sprintf( __( 'Upload a %s image that will represent your website\'s IE 10 Metro tile icon.', 'publisher' ), '<strong>144 x 144 px</strong>' ),
		'return'   => 'id',
	],
	[
		'id'       => 'mts_twitter_username',
		'type'     => 'text',
		'title'    => esc_html__( 'Twitter Username', 'publisher' ),
		'sub_desc' => esc_html__( 'Enter your Username here.', 'publisher' ),
	],
	[
		'id'       => 'mts_feedburner',
		'type'     => 'text',
		'title'    => esc_html__( 'FeedBurner URL', 'publisher' ),
		// translators: Strong tag in description.
		'sub_desc' => sprintf( __( 'Enter your FeedBurner\'s URL here, ex: %s and your main feed (http://example.com/feed) will get redirected to the FeedBurner ID entered here.)', 'publisher' ), '<strong>http://feeds.feedburner.com/mythemeshop</strong>' ),
		'validate' => 'url',
	],
	[
		'id'       => 'mts_ajax_search',
		'type'     => 'switch',
		'title'    => esc_html__( 'AJAX Quick search', 'publisher' ),
		'sub_desc' => esc_html__( 'Enable or disable search results appearing instantly below the search form', 'publisher' ),
		'std'      => '0',
	],
	[
		'id'       => 'enable_lightbox',
		'type'     => 'switch',
		'title'    => esc_html__( 'Lightbox', 'publisher' ),
		'sub_desc' => esc_html__( 'Enable or disable lightbox with this option.', 'publisher' ),
		'std'      => '0',
	],
	[
		'id'       => 'mts_responsive',
		'type'     => 'switch',
		'title'    => esc_html__( 'Responsiveness', 'publisher' ),
		'sub_desc' => esc_html__( 'MyThemeShop themes are responsive, which means they adapt to tablet and mobile devices, ensuring that your content is always displayed beautifully no matter what device visitors are using. Enable or disable responsiveness using this option.', 'publisher' ),
		'std'      => '1',
	],
	[
		'id'       => 'mts_shop_products',
		'type'     => 'text',
		'title'    => esc_html__( 'No. of Products', 'publisher' ),
		'sub_desc' => esc_html__( 'Enter the total number of products which you want to show on shop page (WooCommerce plugin must be enabled).', 'publisher' ),
		'validate' => 'numeric',
		'std'      => '9',
		'class'    => 'small-text',
	],

];
