<?php
/**
 * Header Styling
 *
 * @package Publisher
 */

$menus['header']['child']['header-Styling'] = [
	'title' => esc_html__( 'Styling', 'publisher' ),
	'desc'  => esc_html__( 'From here, you can control the elements of header styling.', 'publisher' ),
];

// Dependency for header layout 2.
$header_layout2_dependency = [
	'relation' => 'and',
	[
		'field'      => 'header_styles',
		'value'      => 'header-layout2',
		'comparison' => '==',
	],
];

$sections['header-Styling'] = [

	[
		'id'       => 'main_navigation_dropdown_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Color', 'publisher' ),
		'sub_desc' => esc_html__( 'Select dropdown text color for main navigation from here.', 'publisher' ),
		'std'      => '#505f79',
	],
	[
		'id'       => 'main_navigation_dropdown_background',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Background Color', 'publisher' ),
		'sub_desc' => esc_html__( 'Select dropdown background color for main navigation from here.', 'publisher' ),
		'std'      => '#ffffff',
	],
	[
		'id'       => 'main_navigation_dropdown_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'publisher' ),
		'sub_desc' => esc_html__( 'Dropdown Border Radius.', 'publisher' ),
		'std'      => '10',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'main_navigation_hover_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Navigation Text Hover Color', 'publisher' ),
		'sub_desc' => esc_html__( 'Select navigation text hover color for main navigation from here.', 'publisher' ),
		'std'      => publisher_get_settings( 'primary_color_scheme' ),
	],
	[
		'id'       => 'main_navigation_dropdown_hover_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Hover Color', 'publisher' ),
		'sub_desc' => esc_html__( 'Select dropdown text hover color for main navigation from here.', 'publisher' ),
		'std'      => publisher_get_settings( 'primary_color_scheme' ),
	],
];
