<?php
/**
 * Search Tab
 *
 * @package Publisher
 */

$menus['search'] = [
	'icon'  => 'fa-search',
	'title' => esc_html__( 'Search', 'publisher' ),
	'desc'  => esc_html__( 'Setting here apply to search pages.', 'publisher' ),
];

$sections['search'] = [

	[
		'id'       => 'search_content',
		'type'     => 'select',
		'title'    => esc_html__( 'Search Results Content', 'publisher' ),
		'sub_desc' => esc_html__( 'Controls the type of content that displays in search results.', 'publisher' ),
		'options'  => [
			'all'          => esc_html__( 'All Post Types and Pages', 'publisher' ),
			'all-no-pages' => esc_html__( 'All Post Types without Pages', 'publisher' ),
			'pages'        => esc_html__( 'Only Pages', 'publisher' ),
			'posts'        => esc_html__( 'Only Blog Posts', 'publisher' ),
			'woocommerce'  => esc_html__( 'Only WooCommerce Products', 'publisher' ),
		],
		'std'      => 'posts_pages',
	],

	[
		'id'       => 'search_results_per_page',
		'type'     => 'text',
		'title'    => esc_html__( 'Number of Search Results Per Page', 'publisher' ),
		'sub_desc' => esc_html__( 'Controls the number of search results per page.', 'publisher' ),
		'validate' => 'numeric',
		'std'      => '5',
		'class'    => 'small-text',
	],

	[
		'id'       => 'search_position',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Search Form Position', 'publisher' ),
		'sub_desc' => esc_html__( 'Controls the position of the search bar on the search results page.', 'publisher' ),
		'options'  => [
			'above' => esc_html__( 'Above Results', 'publisher' ),
			'below' => esc_html__( 'Below Results', 'publisher' ),
			'hide'  => esc_html__( 'Hide', 'publisher' ),
		],
		'std'      => 'above',
	],
];
