<?php
/**
 * Subscribe Widget
 *
 * @package Publisher
 */

$menus['sidebars-subscribe'] = [
	'icon'  => 'fa-envelope-open-o',
	'title' => esc_html__( 'Subscribe Widget', 'publisher' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Subscribe box in Sidebar & Footer widgets area.', 'publisher' ),
];

$sections['sidebars-subscribe'] = [
	[
		'id'    => 'subscribe_widget_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Sidebar Subscribe Widget Settings', 'publisher' ),
	],
	[
		'id'       => 'subscribe_widget_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Background', 'publisher' ),
		'sub_desc' => esc_html__( 'Set Subscribe Widget background color, pattern and image for subscribe box from here.', 'publisher' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '#ffffff',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/subscribe-bg.png',
			'repeat'        => 'no-repeat',
			'attachment'    => 'scroll',
			'position'      => 'center top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'subscribe_widget_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'publisher' ),
		'sub_desc' => esc_html__( 'Set Sidebar Subscribe box padding from here.', 'publisher' ),
		'std'      => [
			'top'    => publisher_px2rem( '40px' ),
			'right'  => publisher_px2rem( '28px' ),
			'bottom' => publisher_px2rem( '40px' ),
			'left'   => publisher_px2rem( '28px' ),
		],
	],
	[
		'id'       => 'subscribe_widget_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'publisher' ),
		'sub_desc' => esc_html__( 'Select Sidebar Subscribe border', 'publisher' ),
	],
	[
		'id'    => 'subscribe_widget_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Subscribe Title Font', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Get Stories Delivered to Your Inbox',
			'preview-color'  => 'dark',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => publisher_px2rem( '28px' ),
			'line-height'    => '1',
			'color'          => '#ffffff',
			'margin-bottom'  => publisher_px2rem( '16px' ),
			'additional-css' => 'text-transform: none;',
			'css-selectors'  => '.widget #wp-subscribe .title',
		],
	],
	[
		'id'    => 'sidebar_fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Subscribe Input Fields', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Enter your email',
			'preview-color'  => 'dark',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '12px',
			'color'          => '#dadee8',
			'letter-spacing' => publisher_letter_spacing( 12, 77 ),
			'css-selectors'  => '.widget #wp-subscribe input.email-field, .widget #wp-subscribe input.name-field',
		],
	],
	[
		'id'    => 'subscribe_widget_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Subscribe Text', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Get notified of the best deals on our WordPress themes.',
			'preview-color'  => 'dark',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'line-height'    => '1.6',
			'color'          => '#dadee8',
			'margin-top'     => '0',
			'margin-bottom'  => publisher_px2rem( '16px' ),
			'letter-spacing' => publisher_letter_spacing( 14, 23 ),
			'css-selectors'  => '.widget #wp-subscribe p.text',
		],
	],
	[
		'id'    => 'subscribe_widget_small_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Subscribe Small Text', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Subscribe to Newsletter',
			'preview-color'  => 'dark',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '13px',
			'color'          => '#dadee8',
			'letter-spacing' => publisher_letter_spacing( 13, 36 ),
			'css-selectors'  => '.widget #wp-subscribe p.footer-text, .widget #wp-subscribe .wps-consent-wrapper label, .widget #wp-subscribe .error, .widget #wp-subscribe .thanks',
		],
	],
	[
		'id'       => 'subscribe_widget_submit_backgroud',
		'type'     => 'color',
		'title'    => esc_html__( 'Background Color', 'publisher' ),
		'sub_desc' => esc_html__( 'Submit button background color', 'publisher' ),
		'std'      => '#ffffff',
	],
	[
		'id'    => 'subscribe_widget_submit_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Subscribe Submit Button', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Submit',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '12px',
			'color'          => '#495c8e',
			'letter-spacing' => publisher_letter_spacing( 12, 77 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.widget #wp-subscribe input.submit',
		],
	],
];
