<?php
/**
 * Single Beadcrumb
 *
 * @package Publisher
 */

$menus['single-breadcrumb'] = [
	'icon'  => 'fa-bar-chart',
	'title' => esc_html__( 'Breadcrumb', 'publisher' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of beadcrumb in single posts & pages.', 'publisher' ),
];

$show_breadcrumb = [
	'relation' => 'and',
	[
		'field'      => 'show_breadcrumb',
		'value'      => '1',
		'comparison' => '==',
	],
];

$sections['single-breadcrumb'] = [

	[
		'id'       => 'show_breadcrumb',
		'type'     => 'switch',
		'title'    => esc_html__( 'Breadcrumbs', 'publisher' ),
		'sub_desc' => esc_html__( 'Breadcrumbs are a great way to make your site more user-friendly. You can enable them by enabling this box.', 'publisher' ),
		'std'      => '0',
	],

	[
		'id'         => 'breadcrumb_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Breadcrumbs Font', 'publisher' ),
		'std'        => [
			'preview-text'  => 'Breadcrumbs Font',
			'preview-color' => 'light',
			'font-family'   => 'Lexend Deca',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => publisher_line_height( 16, 30 ),
			'color'         => '#2d2b2b',
			'css-selectors' => '.breadcrumb, .breadcrumb a, .rank-math-breadcrumb, .rank-math-breadcrumb a',
		],
		'dependency' => $show_breadcrumb,
	],

	[
		'id'         => 'breadcrumb_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Breadcrumb Container', 'publisher' ),
		'dependency' => $show_breadcrumb,
	],

	[
		'id'         => 'breadcrumb_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Beadcrumb Background', 'publisher' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'publisher' ),
		'options'    => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'        => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
		'dependency' => $show_breadcrumb,
	],

	[
		'id'         => 'breadcrumb_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'publisher' ),
		'sub_desc'   => esc_html__( 'Set related posts margin from here.', 'publisher' ),
		'std'        => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
		'dependency' => $show_breadcrumb,
	],
	[
		'id'         => 'breadcrumb_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'publisher' ),
		'sub_desc'   => esc_html__( 'Set related posts padding from here.', 'publisher' ),
		'std'        => [
			'top'    => publisher_px2rem( '32px' ),
			'right'  => '0',
			'bottom' => publisher_px2rem( '32px' ),
			'left'   => '0',
		],
		'dependency' => $show_breadcrumb,
	],

	[
		'id'         => 'breadcrumb_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'publisher' ),
		'sub_desc'   => esc_html__( 'Select border', 'publisher' ),
		'dependency' => $show_breadcrumb,
	],

];
