<?php
/**
 * Single Tags
 *
 * @package Publisher
 */

$menus['single-tags'] = [
	'icon'  => 'fa-tags',
	'title' => esc_html__( 'Tags', 'publisher' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Tags.', 'publisher' ),
];

$sections['single-tags'] = [

	[
		'id'    => 'tags_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Tags Font', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Tags Font',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '11px',
			'color'          => '#495c8e',
			'letter-spacing' => publisher_letter_spacing( 11, 182 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.tags a',
		],
	],
	[
		'id'       => 'tags_bgcolor',
		'type'     => 'color',
		'title'    => esc_html__( 'Tag Background Color', 'publisher' ),
		'sub_desc' => esc_html__( 'Set Tag background color.', 'publisher' ),
		'std'      => '#c9e8ee',
	],
	[
		'id'       => 'tags_hover_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Tag Hover Color', 'publisher' ),
		'sub_desc' => esc_html__( 'Set Tag hover color.', 'publisher' ),
		'std'      => '#495c8e',
	],
	[
		'id'       => 'tags_hover_bgcolor',
		'type'     => 'color',
		'title'    => esc_html__( 'Tag Hover Background Color', 'publisher' ),
		'sub_desc' => esc_html__( 'Set Tag hover background color.', 'publisher' ),
		'std'      => '#e4f3f6',
	],
	[
		'id'       => 'tags_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Tag Border Radius', 'publisher' ),
		'sub_desc' => esc_html__( 'Set Tag border radius from here.', 'publisher' ),
		'std'      => '17',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'    => 'tags_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Tags Container', 'publisher' ),
	],
	[
		'id'       => 'tags_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Tags Background', 'publisher' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'publisher' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],

	[
		'id'       => 'tags_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'publisher' ),
		'sub_desc' => esc_html__( 'Set Tags margin from here.', 'publisher' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => publisher_px2rem( '55px' ),
			'left'   => '0',
		],
	],
	[
		'id'       => 'tags_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'publisher' ),
		'sub_desc' => esc_html__( 'Set Tags padding from here.', 'publisher' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],

	[
		'id'       => 'tags_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'publisher' ),
		'sub_desc' => esc_html__( 'Select border', 'publisher' ),
	],

];
