<?php
/**
 * Styling tab.
 *
 * @package Publisher
 */

$menus['styling'] = [
	'icon'  => 'fa-adjust',
	'title' => esc_html__( 'Styling', 'publisher' ),
	'desc'  => esc_html__( 'Control the visual appearance of your theme, such as colors, layout and patterns, from here.', 'publisher' ),
];

$sections['styling'] = [

	[
		'id'       => 'primary_color_scheme',
		'type'     => 'color',
		'title'    => esc_html__( 'Primary Color Scheme', 'publisher' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'publisher' ),
		'std'      => '#495c8e',
	],

	[
		'id'       => 'theme_layout',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Layout Style', 'publisher' ),
		'sub_desc' => wp_kses( __( 'Choose the <strong>default sidebar position</strong> for your site. The position of the sidebar for individual posts can be set in the post editor.', 'publisher' ), [ 'strong' => [] ] ),
		'options'  => [
			'cslayout' => [ 'img' => $uri . 'layouts/cs.png' ],
			'sclayout' => [ 'img' => $uri . 'layouts/sc.png' ],
		],
		'std'      => 'cslayout',
	],

	[
		'id'       => 'theme_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Theme Background', 'publisher' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'publisher' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],

];
