<?php
/**
 * Typography tab
 *
 * @package Publisher
 */

$menus['typography-collection'] = [
	'icon'       => 'fa-text-width',
	'title'      => esc_html__( 'Typography', 'publisher' ),
	'hide_title' => true,
];

$sections['typography-collection'] = [

	[
		'id'    => 'typography-collections',
		'type'  => 'typography_collections',
		'title' => esc_html__( 'Theme Typography', 'publisher' ),
		'desc'  => esc_html__( 'From here, you can control the fonts used on your site. You can choose from 17 standard font sets, or from the Google Fonts Library containing 800+ fonts.', 'publisher' ),
	],

	[
		'id'    => 'publisher_logo',
		'type'  => 'typography',
		'title' => esc_html__( 'Logo Font', 'publisher' ),
		'std'   => [
			'preview-text'  => 'Publisher',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Text',
			'font-weight'   => '700',
			'font-size'     => '22px',
			'color'         => '#2d2b2b',
			'line-height'   => '1.2',
			'css-selectors' => '#logo a, .logo',
		],
	],

	[
		'id'    => 'primary_navigation_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Navigation', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Navigation Font',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '13px',
			'color'          => '#2d2b2b',
			'letter-spacing' => publisher_letter_spacing( 13, 71 ),
			'css-selectors'  => '#primary-navigation a, .header-search-icon',
		],
	],

	[
		'id'    => 'content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Content Font',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'line-height'    => publisher_line_height( 14, 23 ),
			'color'          => '#505f79',
			'letter-spacing' => publisher_letter_spacing( 14, 36 ),
			'css-selectors'  => 'body',
		],
	],

	[
		'id'    => 'pages_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Pages Title Font', 'publisher' ),
		'std'   => [
			'preview-text'  => 'Pages Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Lexend Deca',
			'font-weight'   => '700',
			'font-size'     => publisher_px2rem( '36px' ),
			'line-height'   => '1.2',
			'color'         => '#2d2b2b',
			'css-selectors' => 'h1.entry-title, .page-title',
		],
	],
	[
		'id'    => 'sidebar_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Widget Title', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Sidebar Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '700',
			'font-size'      => '11px',
			'line-height'    => '1.2',
			'color'          => '#2d2b2b',
			'letter-spacing' => publisher_letter_spacing( 11, 182 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#sidebar .widget h3.widget-title',
		],
	],
	[
		'id'    => 'sidebar_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Font', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Sidebar Font',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '12px',
			'line-height'    => publisher_line_height( 12, 20 ),
			'color'          => '#848fa1',
			'letter-spacing' => publisher_letter_spacing( 12, 36 ),
			'css-selectors'  => '#sidebar .widget, #sidebar .widget .post-excerpt',
		],
	],
	[
		'id'    => 'sidebar_links_widgets',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Links Widgets', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Sidebar Links Widgets',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '12px',
			'line-height'    => publisher_line_height( 12, 20 ),
			'color'          => '#483e3e',
			'letter-spacing' => publisher_letter_spacing( 12, 36 ),
			'css-selectors'  => '#sidebar .widget.widget_archive a, #sidebar .widget.widget_categories a, #sidebar .widget.widget_pages a, #sidebar .widget.widget_meta a, #sidebar .widget.widget_nav_menu a',
		],
	],
	[
		'id'    => 'sidebar_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Post Title', 'publisher' ),
		'std'   => [
			'preview-text'  => 'Sidebar Post Titles',
			'preview-color' => 'light',
			'font-family'   => 'Lexend Deca',
			'font-weight'   => '700',
			'font-size'     => '16px',
			'line-height'   => '1.5',
			'color'         => '#2d2b2b',
			'css-selectors' => '.sidebar .post-title a, .sidebar .entry-title a, .sidebar .wpt_comment_meta a',
		],
	],
	[
		'id'    => 'sidebar_large_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Large Posts Title', 'publisher' ),
		'std'   => [
			'preview-text'  => 'Sidebar Large Posts Titles',
			'preview-color' => 'light',
			'font-family'   => 'Lexend Deca',
			'font-weight'   => '700',
			'font-size'     => '18px',
			'line-height'   => '1.5',
			'color'         => '#2d2b2b',
			'css-selectors' => '.sidebar li.vertical-small .post-title a, .sidebar .widget .wpt_thumb_large + .entry-title a, .sidebar .widget .wpt_thumb_large + .wpt_comment_meta a, .sidebar .widget .review_thumb_large .entry-title a',
		],
	],
	[
		'id'    => 'sidebar_postinfo_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Meta font', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Sidebar Meta Font',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '11px',
			'color'          => '#7e8c9f',
			'line-height'    => '1.2',
			'letter-spacing' => publisher_letter_spacing( 11, 36 ),
			'css-selectors'  => '#sidebar .widget .thecategory, #sidebar .widget .post-info-bottom, .sidebar .widget .wpt_widget_content .wpt-postmeta, .sidebar .wp_review_tab_widget_content .wp-review-tab-postmeta',
		],
	],
	[
		'id'    => 'sidebar_post_number',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Post Number', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Sidebar Post Number',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '500',
			'font-size'      => '24px',
			'color'          => '#495c8e',
			'line-height'    => '1.2',
			'additional-css' => 'font-style: italic;',
			'css-selectors'  => '.sidebar li.no-thumb:after',
		],
	],
	[
		'id'    => 'top_footer_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Widget Title', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Footer Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '11px',
			'line-height'    => '1.2',
			'color'          => '#2d2b2b',
			'letter-spacing' => publisher_letter_spacing( 11, 182 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.footer-widgets h3',
		],
	],

	[
		'id'    => 'top_footer_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer font', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Footer Font',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '12px',
			'line-height'    => publisher_line_height( 12, 20 ),
			'color'          => '#848fa1',
			'letter-spacing' => publisher_letter_spacing( 12, 36 ),
			'css-selectors'  => '.footer-widgets, footer .widget .wpt_excerpt, footer .advanced-recent-posts p, footer .popular-posts p, footer .category-posts p',
		],
	],

	[
		'id'    => 'footer_links_widgets',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Links Widgets', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Footer Links Widgets',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'line-height'    => publisher_line_height( 14, 23 ),
			'color'          => '#483e3e',
			'letter-spacing' => publisher_letter_spacing( 14, 36 ),
			'css-selectors'  => '#site-footer .widget.widget_archive a, #site-footer .widget.widget_categories a, #site-footer .widget.widget_pages a, #site-footer .widget.widget_meta a, #site-footer .widget.widget_nav_menu a',
		],
	],

	[
		'id'    => 'top_footer_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Post Title', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Footer Posts Title',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'line-height'    => publisher_line_height( 14, 23 ),
			'color'          => '#483e3e',
			'letter-spacing' => publisher_letter_spacing( 14, 36 ),
			'css-selectors'  => '#site-footer .post-title a, #site-footer .entry-title a',
		],
	],
	[
		'id'    => 'footer_large_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Large Posts Title', 'publisher' ),
		'std'   => [
			'preview-text'  => 'Footer Large Posts Titles',
			'preview-color' => 'light',
			'font-family'   => 'Lexend Deca',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => publisher_line_height( 16, 25 ),
			'color'         => '#483e3e',
			'css-selectors' => '#site-footer li.vertical-small .post-title a, #site-footer .widget .wpt_thumb_large + .entry-title a, #site-footer .widget .review_thumb_large .entry-title a, #site-footer .widget .wpt_thumb_large + .wpt_comment_meta a',
		],
	],
	[
		'id'    => 'top_footer_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Meta font', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Footer Meta Font',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '11px',
			'color'          => '#7e8c9f',
			'line-height'    => '1.2',
			'letter-spacing' => publisher_letter_spacing( 11, 36 ),
			'css-selectors'  => '#site-footer .widget .thecategory, #site-footer .widget .post-info-bottom, footer .widget .wpt_widget_content .wpt-postmeta, footer .wp_review_tab_widget_content .wp-review-tab-postmeta',
		],
	],
	[
		'id'    => 'top_footer_post_number',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Post Number', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Footer Post Number',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '500',
			'font-size'      => '24px',
			'color'          => '#495c8e',
			'line-height'    => '1.2',
			'additional-css' => 'font-style: italic;',
			'css-selectors'  => '#site-footer li.no-thumb:after',
		],
	],
	[
		'id'    => 'copyrights_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Copyrights Section', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Copyrights Font',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'line-height'    => publisher_line_height( 14, 23 ),
			'color'          => '#7f7878',
			'letter-spacing' => publisher_letter_spacing( 14, 36 ),
			'additional-css' => 'text-align: center;',
			'css-selectors'  => '#copyright-note',
		],
	],
	[
		'id'    => 'fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Fields Font', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Text Fields Font',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'color'          => '#505f79',
			'letter-spacing' => publisher_letter_spacing( 14, 36 ),
			'css-selectors'  => 'input#author, .contact-form input[type="text"], input#email, input#url, #commentform textarea, .contact-form textarea, .widget #s',
		],
	],
	[
		'id'    => 'buttons_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Buttons Font', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Buttons Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#ffffff',
			'letter-spacing' => publisher_letter_spacing( 14, 36 ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.button, .instagram-button a, #commentform input#submit, #mtscontact_submit',
		],
	],
	[
		'id'    => 'blockquote_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Blockquote Font', 'publisher' ),
		'std'   => [
			'preview-text'   => 'Blockquote Font',
			'preview-color'  => 'light',
			'font-family'    => 'Lexend Deca',
			'font-weight'    => '400',
			'font-size'      => publisher_px2rem( '18px' ),
			'letter-spacing' => publisher_letter_spacing( 18, 28 ),
			'color'          => '#495c8e',
			'line-height'    => publisher_line_height( 18, 30 ),
			'css-selectors'  => 'blockquote',
		],
	],
	[
		'id'    => 'h1_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H1 Heading in Content', 'publisher' ),
		'std'   => [
			'preview-text'   => 'H1 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => publisher_px2rem( '32px' ),
			'letter-spacing' => publisher_letter_spacing( 32, -16 ),
			'color'          => '#2d2b2b',
			'css-selectors'  => 'h1',
		],
	],
	[
		'id'    => 'h2_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H2 Heading in Content', 'publisher' ),
		'std'   => [
			'preview-text'   => 'H2 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => publisher_px2rem( '28px' ),
			'letter-spacing' => publisher_letter_spacing( 28, -16 ),
			'color'          => '#2d2b2b',
			'css-selectors'  => 'h2',
		],
	],
	[
		'id'    => 'h3_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H3 Heading in Content', 'publisher' ),
		'std'   => [
			'preview-text'   => 'H3 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => publisher_px2rem( '22px' ),
			'letter-spacing' => publisher_letter_spacing( 22, -16 ),
			'color'          => '#2d2b2b',
			'css-selectors'  => 'h3',
		],
	],

	[
		'id'    => 'h4_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H4 Heading in Content', 'publisher' ),
		'std'   => [
			'preview-text'   => 'H4 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => publisher_px2rem( '20px' ),
			'letter-spacing' => publisher_letter_spacing( 20, -16 ),
			'color'          => '#2d2b2b',
			'css-selectors'  => 'h4',
		],
	],

	[
		'id'    => 'h5_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H5 Heading in Content', 'publisher' ),
		'std'   => [
			'preview-text'   => 'H5 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => publisher_px2rem( '18px' ),
			'letter-spacing' => publisher_letter_spacing( 18, -16 ),
			'color'          => '#2d2b2b',
			'css-selectors'  => 'h5',
		],
	],

	[
		'id'    => 'h6_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H6 Heading in Content', 'publisher' ),
		'std'   => [
			'preview-text'   => 'H6 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Red Hat Text',
			'font-weight'    => '700',
			'font-size'      => publisher_px2rem( '16px' ),
			'letter-spacing' => publisher_letter_spacing( 16, -16 ),
			'color'          => '#2d2b2b',
			'css-selectors'  => 'h6',
		],
	],

	[
		'id'       => 'typography-subsets',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Character sets', 'publisher' ),
		'sub_desc' => esc_html__( 'Choose the character sets you wish to include. Please note that not all sets are available for all fonts.', 'publisher' ),
		'options'  => [
			'latin'        => esc_html__( 'Latin', 'publisher' ),
			'latin-ext'    => esc_html__( 'Latin Extended', 'publisher' ),
			'cyrillic'     => esc_html__( 'Cyrillic', 'publisher' ),
			'cyrillic-ext' => esc_html__( 'Cyrillic Extended', 'publisher' ),
			'greek'        => esc_html__( 'Greek', 'publisher' ),
			'greek-ext'    => esc_html__( 'Greek Extended', 'publisher' ),
			'vietnamese'   => esc_html__( 'Vietnamese', 'publisher' ),
			'khmer'        => esc_html__( 'Khmer', 'publisher' ),
			'devanagari'   => esc_html__( 'Devanagari', 'publisher' ),
		],
		'std'      => [ 'latin' ],
	],
];
