<?php
/**
 * The template for displaying search results pages.
 *
 * @package Publisher
 */

get_header();

publisher_action( 'before_content' ); ?>

	<div id="wrapper" class="clearfix">

		<div class="container">

			<div class="article">

				<?php
				// Elementor 'archive' location.
				if ( ! publisher_is_elementor( 'archive' ) ) {
				?>

				<div id="content_box">

					<?php if ( have_posts() ) : ?>

						<h1 class="page-title">
							<?php
							// translators: search query.
							printf( esc_html__( 'Search Results for: %s', 'publisher' ), '<span>' . get_search_query() . '</span>' );
							?>
						</h1>
					<?php else : ?>
						<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'publisher' ); ?></h1>
					<?php endif; ?>

					<section id="latest-posts" class="default clearfix">
						<div class="layout-default-posts">
							<?php
							if ( 'above' === publisher_get_settings( 'search_position' ) ) {
								echo '<div class="search-above clearfix">';
								get_search_form();
								echo '</div>';
							}
							?>
							<?php
							$j = 0;
							if ( have_posts() ) {
								while ( have_posts() ) {
									the_post();
									publisher_blog_articles();
								}
							} else {
								get_template_part( 'template-parts/no', 'results' );
							}
							?>
							<?php
							if ( 0 !== ++$j ) {
								publisher_pagination( publisher_get_settings( 'mts_pagenavigation_type' ) );
							}

							if ( 'below' === publisher_get_settings( 'search_position' ) ) {
								echo '<div class="search-below clearfix">';
								get_search_form();
								echo '</div>';
							}
							?>
						</div>
						<?php get_sidebar(); ?>
					</section>
				</div>

				<?php publisher_action( 'after_content' ); ?>

				<?php
				}
				?>

			</div>

		</div><!-- end of .container -->

<?php
get_footer();
